// AUTO-GENERATED: This file is generated by the `generator` package

import 'endpoint.dart';

final rules = <String, RegionConfig>{
  '*/*': RegionConfig(
    endpoint: '{service}.{region}.amazonaws.com',
  ),
  'cn-*/*': RegionConfig(
    endpoint: '{service}.{region}.amazonaws.com.cn',
  ),
  'us-iso-*/*': _usIso,
  'us-isob-*/*': _usIsob,
  '*/budgets': _globalSSL,
  '*/cloudfront': _globalSSL,
  '*/sts': _globalSSL,
  '*/importexport': RegionConfig(
    endpoint: '{service}.amazonaws.com',
    globalEndpoint: true,
    signatureVersion: 'v2',
  ),
  '*/route53': _globalSSL,
  'cn-*/route53': RegionConfig(
    endpoint: '{service}.amazonaws.com.cn',
    globalEndpoint: true,
    signingRegion: 'cn-northwest-1',
  ),
  'us-gov-*/route53': _globalGovCloud,
  'us-iso-*/route53': RegionConfig(
    endpoint: '{service}.c2s.ic.gov',
    globalEndpoint: true,
    signingRegion: 'us-iso-east-1',
  ),
  'us-isob-*/route53': RegionConfig(
    endpoint: '{service}.sc2s.sgov.gov',
    globalEndpoint: true,
    signingRegion: 'us-isob-east-1',
  ),
  '*/waf': _globalSSL,
  '*/iam': _globalSSL,
  'cn-*/iam': RegionConfig(
    endpoint: '{service}.cn-north-1.amazonaws.com.cn',
    globalEndpoint: true,
    signingRegion: 'cn-north-1',
  ),
  'us-iso-*/iam': RegionConfig(
    endpoint: '{service}.us-iso-east-1.c2s.ic.gov',
    globalEndpoint: true,
    signingRegion: 'us-iso-east-1',
  ),
  'us-gov-*/iam': _globalGovCloud,
  'us-gov-*/sts': RegionConfig(
    endpoint: '{service}.{region}.amazonaws.com',
  ),
  'us-gov-west-1/s3': _s3Signature,
  'us-west-1/s3': _s3Signature,
  'us-west-2/s3': _s3Signature,
  'eu-west-1/s3': _s3Signature,
  'ap-southeast-1/s3': _s3Signature,
  'ap-southeast-2/s3': _s3Signature,
  'ap-northeast-1/s3': _s3Signature,
  'sa-east-1/s3': _s3Signature,
  'us-east-1/s3': RegionConfig(
    endpoint: '{service}.amazonaws.com',
    signatureVersion: 's3',
  ),
  'us-east-1/sdb': RegionConfig(
    endpoint: '{service}.amazonaws.com',
    signatureVersion: 'v2',
  ),
  '*/sdb': RegionConfig(
    endpoint: '{service}.{region}.amazonaws.com',
    signatureVersion: 'v2',
  ),
  '*/resource-explorer-2': _dualstackByDefault,
  '*/kendra-ranking': _dualstackByDefault,
  '*/internetmonitor': _dualstackByDefault,
  '*/codecatalyst': _globalDualstackByDefault,
};

final _globalSSL = RegionConfig(
  endpoint: 'https://{service}.amazonaws.com',
  globalEndpoint: true,
  signingRegion: 'us-east-1',
);

final _globalGovCloud = RegionConfig(
  endpoint: '{service}.us-gov.amazonaws.com',
  globalEndpoint: true,
  signingRegion: 'us-gov-west-1',
);

final _s3Signature = RegionConfig(
  endpoint: '{service}.{region}.amazonaws.com',
  signatureVersion: 's3',
);

final _usIso = RegionConfig(
  endpoint: '{service}.{region}.c2s.ic.gov',
);

final _usIsob = RegionConfig(
  endpoint: '{service}.{region}.sc2s.sgov.gov',
);

final _dualstackByDefault = RegionConfig(
  endpoint: '{service}.{region}.api.aws',
);

final _globalDualstackByDefault = RegionConfig(
  endpoint: '{service}.global.api.aws',
);
